Skip to main content
GET
/
api
/
public
/
v1
/
pulse
/
trader
/
{address}
/
demo
Get API public v1 pulse trader by address demo
curl --request GET \
  --url https://api.coinversa.ai/api/public/v1/pulse/trader/{address}/demo \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.coinversa.ai/api/public/v1/pulse/trader/{address}/demo"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.coinversa.ai/api/public/v1/pulse/trader/{address}/demo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "address": "<string>",
  "recentTopLosses": [
    {
      "builderFee": 123,
      "coin": "<string>",
      "entryVwap": 123,
      "fees": 123,
      "fillCount": 123,
      "id": 123,
      "isClosed": true,
      "lifecycleNum": 123,
      "openedAt": "<string>",
      "openedAtRaw": 123,
      "openedBeforeWindow": true,
      "peakSize": 123,
      "realizedPnl": 123,
      "side": "<string>",
      "status": "<string>",
      "wasLiquidated": true,
      "closedAt": "<string>",
      "closedAtRaw": 123,
      "durationMs": 123,
      "exitVwap": 123,
      "liquidationClosedPnl": 123,
      "liquidationMethod": "<string>",
      "liquidatorAddress": "<string>",
      "penaltyFeePaid": 123
    }
  ],
  "recentTopWins": [
    {
      "builderFee": 123,
      "coin": "<string>",
      "entryVwap": 123,
      "fees": 123,
      "fillCount": 123,
      "id": 123,
      "isClosed": true,
      "lifecycleNum": 123,
      "openedAt": "<string>",
      "openedAtRaw": 123,
      "openedBeforeWindow": true,
      "peakSize": 123,
      "realizedPnl": 123,
      "side": "<string>",
      "status": "<string>",
      "wasLiquidated": true,
      "closedAt": "<string>",
      "closedAtRaw": 123,
      "durationMs": 123,
      "exitVwap": 123,
      "liquidationClosedPnl": 123,
      "liquidationMethod": "<string>",
      "liquidatorAddress": "<string>",
      "penaltyFeePaid": 123
    }
  ],
  "summary": {
    "address": "<string>",
    "avgDurationMs": 123,
    "avgPnl": 123,
    "biggestLoss": 123,
    "biggestWin": 123,
    "closed": 123,
    "liquidations": 123,
    "losses": 123,
    "open": 123,
    "total": 123,
    "totalBuilderFees": 123,
    "totalFees": 123,
    "totalPnl": 123,
    "uniqueCoins": 123,
    "winRate": 123,
    "wins": 123,
    "$schema": "<string>",
    "firstOpenedAt": "<string>",
    "lastActivityAt": "<string>",
    "maxDurationMs": 123,
    "minDurationMs": 123
  },
  "$schema": "<string>"
}
{
"$schema": "<string>",
"code": "<string>",
"current_tier": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"required_tier": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank",
"upgrade_url": "<string>"
}
{
"$schema": "<string>",
"code": "<string>",
"current_tier": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"required_tier": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank",
"upgrade_url": "<string>"
}
{
"$schema": "<string>",
"code": "<string>",
"current_tier": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"required_tier": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank",
"upgrade_url": "<string>"
}
{
"$schema": "<string>",
"code": "<string>",
"current_tier": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"required_tier": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank",
"upgrade_url": "<string>"
}
{
"$schema": "<string>",
"code": "<string>",
"current_tier": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"required_tier": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank",
"upgrade_url": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

address
string
required

Response

OK

address
string
required
recentTopLosses
object[] | null
required
recentTopWins
object[] | null
required
summary
object
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.coinversa.ai/schemas/WalletDemoBody.json"